com.aspose.ocr

## Enum OcrAlgorithmMode

- java.lang.Object
- - java.lang.Enum<OcrAlgorithmMode>
  - - com.aspose.ocr.OcrAlgorithmMode

- All Implemented Interfaces:
    Serializable, Comparable<OcrAlgorithmMode>

      public enum OcrAlgorithmMode
      extends Enum<OcrAlgorithmMode>

  Modes of the OCR algorithm using by engine

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `M16PtFontStyles12NEts` 16 Font Styles 12 networks
    `M32PtFontStyles12NEts` 32 Font Size 12 networks
    `M8PtFontStyles12NEts` 8 Font Style 12 networks
    `None` No algorithm defined.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OcrAlgorithmMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OcrAlgorithmMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### M16PtFontStyles12NEts

          public static final OcrAlgorithmMode M16PtFontStyles12NEts

      16 Font Styles 12 networks

    - #### M32PtFontStyles12NEts

          public static final OcrAlgorithmMode M32PtFontStyles12NEts

      32 Font Size 12 networks

    - #### M8PtFontStyles12NEts

          public static final OcrAlgorithmMode M8PtFontStyles12NEts

      8 Font Style 12 networks

    - #### None

          public static final OcrAlgorithmMode None

      No algorithm defined.

  - ### Method Detail

    - #### valueOf

          public static OcrAlgorithmMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static OcrAlgorithmMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OcrAlgorithmMode c : OcrAlgorithmMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2014. All rights reserved.